/* Exemple d'utilisation de l'utilitaire Minuteur */

public class ExempleUtilisationMinuteurEnConsole {

  /* Calcul de la somme des valeurs de 1/i       */
  /* pour i de 1 à n                             */

  static void executerCalcul() {
    double somme = 0.0;
    for ( int i = 1 ; i < 10 ; i++ ) {
      somme = somme + 1.0/i; }
  }

  /* Fonction principale                          */

  public static void main(String [] args) {
    Console.setTitle("ExempleUtilisationMinuteur");
    /* Declaration du Minuteur minuteur           */
    Utilitaires.Minuteur minuteur = new Utilitaires.Minuteur();
    /* Configuration du temps de commutation      */
    /* de minuteur (en milliemes de seconde)      */
    minuteur.temps = 1000;
    /* Lancement de minuteur                      */
    minuteur.lancement();
    /* Initialisation du compteur d'execution     */
    long cpt = 0;
    /* Prise de temps initiale                    */
    long ti = System.nanoTime();
    /* Utilisation de minuteur par construction   */
    /* d'une boucle tant que dont la condition    */
    /* d'arrêt porte sur la valeur                */
    /* de son champ booléen enCours               */
    while ( minuteur.enCours == true ) {
      executerCalcul();
      cpt++; }
    /* Prise de temps finale                      */
    long tf = System.nanoTime();
    /* Affichage des resultats                    */
    Console.afficherln(cpt," executions en ",tf-ti," ns");
    Console.afficherln("Temps moyen : ",(double) (tf-ti)/cpt," ns");
  }
}